Bug 1447398 - [3.3] Post-install, master certs signed for wrong name
Summary: [3.3] Post-install, master certs signed for wrong name
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.3.1
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 3.3.1
Assignee: Scott Dodson
QA Contact: Gaoyun Pei
URL:
Whiteboard:
Depends On: 1440309 1447399
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-02 15:45 UTC by Scott Dodson
Modified: 2017-05-17 17:40 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
In multi-master environments if ansible_host and openshift_hostname values differ and ansible sorts one of the lists differently from the other then the CA Host may be the first master but it was still signing the initial certificates with the hostnames of the first master. By ensuring that we use the hostnames of the CA Host when creating the certificate authority we ensure that the certificates are signed with the correct hostnames even if the two lists are sorted differently.
Clone Of: 1440309
Environment:
Last Closed: 2017-05-17 17:40:44 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1244 normal SHIPPED_LIVE Important: ansible and openshift-ansible security and bug fix update 2017-05-25 21:43:49 UTC

Comment 3 Gaoyun Pei 2017-05-08 10:28:54 UTC
Verify this bug with openshift-ansible-3.3.75-1.git.0.ce1661a.el7.noarch.rpm, after installation, all masters' certs were signed with correct ip address, the cluster was working well.

Comment 5 errata-xmlrpc 2017-05-17 17:40:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1244


Note You need to log in before you can comment on or make changes to this bug.